VehicleInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class VehicleInfo

    java.lang.Object
      net.ctdp.rfdynhud.gamedata.VehicleInfo

    public class VehicleInfo

extends java.lang.Object

Keeps all descriptive information read from the .VEH file.

Author:
  Marvin Froehlich (CTDP)

Constructor Summary
`VehicleInfo()`

Method Summary
`int` | `getCarNumber()`
`java.lang.String` | `getCategory()`
`java.lang.String` | `getClasses()`
`java.lang.String` | `getDriverDescription()`
`java.lang.String` | `getDriverName()`
`java.lang.String` | `getEngineName()`
`java.lang.String` | `getFullTeamName()`
`java.lang.String` | `getManufacturer()`
`java.lang.String` | `getPitGroup()`
`java.lang.String` | `getTeamFounded()`
`java.lang.String` | `getTeamHeadquarters()`
`java.lang.String` | `getTeamName()`
`int` | `getTeamPoles()`
`int` | `getTeamStarts()`
`int` | `getTeamWins()`
`int` | `getTeamWorldChampionships()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VehicleInfo

    public VehicleInfo()

Method Detail

### getCarNumber

    public final int getCarNumber()

### getTeamName

    public final java.lang.String getTeamName()

### getPitGroup

    public final java.lang.String getPitGroup()

### getDriverName

    public final java.lang.String getDriverName()

### getDriverDescription

    public final java.lang.String getDriverDescription()

### getEngineName

    public final java.lang.String getEngineName()

### getManufacturer

    public final java.lang.String getManufacturer()

### getClasses

    public final java.lang.String getClasses()

### getFullTeamName

    public final java.lang.String getFullTeamName()

### getTeamFounded

    public final java.lang.String getTeamFounded()

### getTeamHeadquarters

    public final java.lang.String getTeamHeadquarters()

### getTeamStarts

    public final int getTeamStarts()

### getTeamPoles

    public final int getTeamPoles()

### getTeamWins

    public final int getTeamWins()

### getTeamWorldChampionships

    public final int getTeamWorldChampionships()

### getCategory

    public final java.lang.String getCategory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD